/**
 * Drawable.java
 * 2/24/11
 */

import java.awt.Graphics2D;
import java.awt.geom.Point2D;

/**
 * Interface for objects that are interactively drawable for a drawing
 * program.
 * 
 * @author CPSC170
 */
public interface Drawable {

    /**
     * Updates the drawable object with the specified point.  An oval,
     * for example, would change its end point to be the specified
     * point.  A Bezier curve would add the specified point to its
     * list of control points.
     * 
     * @param point the point with
     */
    public void updateWithPoint(final Point2D.Double point);

    /**
     * Draw this object to the specified graphics object.
     * 
     * @param g2 graphics object to draw to
     */
    public void draw(Graphics2D g2);

}
