/**
 * Line.java
 * 2/24/12
 */

import java.awt.Graphics2D;
import java.awt.geom.Line2D;
import java.awt.geom.Point2D;

/**
 * Class that represents a drawable line for the drawing program.
 * 
 * @author CPSC170
 */
public class Line extends Shape {

    /**
     * Constructor, initializes drawable line with specified parameters.
     * 
     * @param initPoint location of line with no width or height
     */
    public Line(final Point2D.Double initPoint) {
    	super(initPoint);
    }

    /**
     * Draw this line with the specified bounding rectangle
     *
     * @param g2 graphics object to draw to
     * @param x x coordinate of shape location
     * @param y y coordinate of shape location
     * @param width width of shape
     * @param height height of shape
     */
    protected void draw(final Graphics2D g2,
			final double x, final double y,
			final double width, final double height) {
        g2.draw(new Line2D.Double(startPoint.x, startPoint.y, 
				  endPoint.x, endPoint.y));
	
    }

}
