/**
 * Oval.java
 * 2/24/12
 */

import java.awt.Graphics2D;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Point2D;

/**
 * Class that represents a drawable oval for the drawing program.
 * 
 * @author CPSC170
 */
public class Oval extends Shape {

    /**
     * Constructor, initializes drawable oval with specified parameters.
     * 
     * @param initPoint location of oval with no width or height
     */
    public Oval(final Point2D.Double initPoint) {
    	super(initPoint);
    }

    /**
     * Draw this oval.
     * 
     * @param g2 graphics object to draw to
     * @param x x coordinate of shape location
     * @param y y coordinate of shape location
     * @param width width of shape
     * @param height height of shape
     */
    public void draw(final Graphics2D g2,
		     final double x, final double y,
		     final double width, final double height) {
        g2.draw(new Ellipse2D.Double(x, y, width, height));
    }

}
