/**
 * Pencil.java
 * 2/24/11
 */

import java.awt.Graphics2D;
import java.awt.geom.GeneralPath;
import java.awt.geom.Point2D;

/**
 * Represents a series of drawable line segments.
 * 
 * @author CPSC170
 */
public class Pencil extends Drawable {

    /**
     * Constructor, initializes a series of line segments with the specified
     * point.
     * 
     * @param point the first control point in the new Bezier curve
     */
    public Pencil(final Point2D.Double point) {
        super(point);
    }

    /**
     * Draw the this series of line segments to the specified graphics object.
     * 
     * @param g2 graphics object to draw to
     */
    public final void draw(final Graphics2D g2) {
        GeneralPath path = new GeneralPath();
        ArrayList<Point2D.Double> points = getPoints();
        Point2D.Double point = points.get(0);
        path.moveTo(point.x, point.y);
        for (int i = 1; i < points.size(); i++) {
            point = points.get(i);
            path.lineTo(point.x, point.y);
        }
        g2.draw(path);
    }

}
