/**
 * Rectangle.java
 * 2/24/12
 */

import java.awt.Graphics2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.Point2D;

/**
 * Class that represents a drawable rectangle for the drawing program.
 * 
 * @author CPSC170
 */
public class Rectangle extends Shape {

    /**
     * Constructor, initializes drawable rectangle with specified parameters.
     * 
     * @param initPoint location of rectangle with no width or height
     */
    public Rectangle(final Point2D.Double initPoint) {
    	super(initPoint);
    }

    /**
     * Draw this rectangle.
     * 
     * @param g2 graphics object to draw to
     * @param x x coordinate of shape location
     * @param y y coordinate of shape location
     * @param width width of shape
     * @param height height of shape
     */
    public final void draw(final Graphics2D g2,
			   final double x, final double y,
			   final double width, final double height) {
        g2.draw(new Rectangle2D.Double(x, y, width, height));
    }
}
